Subject: Re: [PATCH 00/24] Header cleanups (final splitting of cache.h, and some splitting of other headers)

From: Calvin Wan <[email-masked]>
Date: Thu, 11 May 2023 17:41:58 +0000

> This series continues to focus on splitting declarations from cache.h to
> separate headers, and also cleans up some other small header issues. By
> patch 16, cache.h is gone.

Congratulations on slaying the cache.h beast! Glad I was able to follow
the entire series to see how many headers cache.h eventually splits up
into.

Most of the patches in this series LGTM, but I do have a higher level
concern. A couple of patches in this series splits files from foo.h to
foo-ll.h and foo.h with the goal of having other files only include
foo-ll.h when needed and not foo.h which has other unnecessary includes.
While I believe that having less unnecessary includes clarifies which
files have what dependencies, I also believe that we are missing
documentation for how new functions should be added to either foo.h or
foo-ll.h. What criteria are we using to separate out those functions?